Bug 475427 - Review Request: perl-Catalyst-Controller-HTML-FormFu - HTML::FormFu controller for Catalyst
Review Request: perl-Catalyst-Controller-HTML-FormFu - HTML::FormFu controlle...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 00:59 EST by Iain Arnell
Modified: 2009-01-29 18:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 02:51:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-12-09 00:59:12 EST
Spec URL: http://iarnell.fedorapeople.org/perl-Catalyst-Controller-HTML-FormFu.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-Catalyst-Controller-HTML-FormFu-0.03007-1.fc11.src.rpm
Description: This base controller merges the functionality of HTML::FormFu with Catalyst.

Upstream dropped the need for Test::Aggregate again, so all dependencies are available now in rawhide.
Comment 1 Parag AN(पराग) 2008-12-10 03:59:21 EST
unable to verify upstream source
 wget http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Controller-HTML-FormFu-0.03007.tar.gz
--2008-12-10 14:26:41--  http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Controller-HTML-FormFu-0.03007.tar.gz
Resolving www.cpan.org... 66.39.76.93
Connecting to www.cpan.org|66.39.76.93|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-12-10 14:26:42 ERROR 404: Not Found.
Comment 3 Iain Arnell 2008-12-10 12:58:49 EST
Is there a policy for cpan sources?  Should I wait for it to appear on www.cpan.org or update the spec to use search.cpan.org?  My gut feeling is to prefer the former and just wait a while (in which case, will ping here when it's really available).
Comment 4 manuel wolfshant 2008-12-10 15:14:48 EST
The only policy I know of is https://fedoraproject.org/wiki/Packaging/Perl.
If I were the packager, I would temporary use the functional Source0 and replace it in the spec (but I would not build a new rpm just for that) once the search.cpan.org becomes functional.
I really see no reason to stall the review because of this.
Comment 5 Paul Howarth 2008-12-10 15:34:50 EST
FWIW I use search.cpan.org source URLs in all of my CPAN packages.
Comment 6 Iain Arnell 2008-12-10 15:56:48 EST
Okay.  

To keep things easy for review, here's a new SRPM.

new spec:
http://iarnell.fedorapeople.org/perl-Catalyst-Controller-HTML-FormFu.spec
new SRPM:
http://iarnell.fedorapeople.org/perl-Catalyst-Controller-HTML-FormFu-0.03007-2.fc11.src.rpm

and koji logs: http://koji.fedoraproject.org/koji/taskinfo?taskID=991954

rpmlint is silent for both src and noarch rpms. 

and source should be verifiable now ;)

(guess who recently discovered the SIGs/Package_Review page)
Comment 7 Parag AN(पराग) 2008-12-10 22:36:04 EST
(In reply to comment #4)
> The only policy I know of is https://fedoraproject.org/wiki/Packaging/Perl.
> If I were the packager, I would temporary use the functional Source0 and
> replace it in the spec (but I would not build a new rpm just for that) once the
> search.cpan.org becomes functional.
> I really see no reason to stall the review because of this.

So does that mean following review guideline is of no importance?
- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the  Source URL Guidelines for how to deal with this.
Comment 8 Parag AN(पराग) 2008-12-10 23:01:27 EST
Ok. Just now got link in SPEC working.

Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=991954
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9e510b1106b8dac95f1f09ed1edb48ea  Catalyst-Controller-HTML-FormFu-0.03007.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=38,  8 wallclock secs ( 0.04 usr  0.01 sys +  7.08 cusr  0.47 csys =  7.60 CPU)
+ Package perl-Catalyst-Controller-HTML-FormFu-0.03007-2.fc11 =>
  Provides: perl(Catalyst::Controller::HTML::FormFu) = 0.03007 perl(Catalyst::Controller::HTML::FormFu::Action::Form) perl(Catalyst::Controller::HTML::FormFu::Action::FormConfig) perl(Catalyst::Controller::HTML::FormFu::Action::FormMethod) perl(Catalyst::Controller::HTML::FormFu::Action::MultiForm) perl(Catalyst::Controller::HTML::FormFu::Action::MultiFormConfig) perl(Catalyst::Controller::HTML::FormFu::Action::MultiFormMethod) perl(Catalyst::Helper::HTML::FormFu)
Requires: perl(Carp) perl(Config::Any) perl(File::Spec) perl(HTML::FormFu) perl(HTML::FormFu::Deploy) perl(Moose) perl(NEXT) perl(Regexp::Assemble) perl(Scalar::Util) perl(base) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 9 Iain Arnell 2008-12-10 23:48:00 EST
New Package CVS Request
=======================
Package Name: perl-Catalyst-Controller-HTML-FormFu
Short Description: HTML::FormFu controller for Catalyst
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 10 Kevin Fenzi 2008-12-14 00:05:39 EST
cvs done.
Comment 11 Fedora Update System 2008-12-18 13:50:57 EST
perl-Catalyst-Controller-HTML-FormFu-0.03007-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Catalyst-Controller-HTML-FormFu-0.03007-2.fc10
Comment 12 Fedora Update System 2009-01-07 04:36:13 EST
perl-Catalyst-Controller-HTML-FormFu-0.03007-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-01-13 02:17:16 EST
perl-Catalyst-Controller-HTML-FormFu-0.03007-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Catalyst-Controller-HTML-FormFu-0.03007-2.fc9
Comment 14 Fedora Update System 2009-01-29 18:07:10 EST
perl-Catalyst-Controller-HTML-FormFu-0.03007-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.